diff --git a/tails-download-and-verify/lib/downloader.js b/tails-download-and-verify/lib/downloader.js
index d94a27f..1a5d85e 100644
--- a/tails-download-and-verify/lib/downloader.js
+++ b/tails-download-and-verify/lib/downloader.js
@@ -75,7 +75,11 @@ function startDownload(source, target, prompt = lastPrompt) {
         });
     return;
   }
-  source = { url: url, isPrivate: true };
+  let tab = require("sdk/tabs").activeTab;
+  source = { url: url };
+  if (tab && require("sdk/private-browsing").isPrivate(tab)) {
+    source.isPrivate = true;
+  }
   Downloads.createDownload({source: source, target: { path: target.path || target, partFilePath: `${target}.part` }})
       .then(download => {
               download.tryToKeepPartialData = true;
